Bug 1049796 - (CVE-2017-11478) VUL-0: CVE-2017-11478: ImageMagick: ReadOneDJVUImage in coders/djvu.c in ImageMagick allows remote attackers to cause a DoS
(CVE-2017-11478)
VUL-0: CVE-2017-11478: ImageMagick: ReadOneDJVUImage in coders/djvu.c in Imag...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/188835/
CVSSv2:SUSE:CVE-2017-11478:5.0:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 06:53 UTC by Johannes Segitz
Modified: 2017-12-22 23:41 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-07-21 06:53:47 UTC
CVE-2017-11478

The ReadOneDJVUImage function in coders/djvu.c in ImageMagick through 6.9.9-0
and 7.x through 7.0.6-1 allows remote attackers to cause a denial of service
(infinite loop and CPU consumption) via a malformed DJVU image.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11478
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-11478.html
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=867826
https://github.com/ImageMagick/ImageMagick/issues/528
Comment 1 Petr Gajdos 2017-11-06 13:38:56 UTC
BEFORE

12/ImageMagick

$ identify cpu-djvu
function:	(null)(file (null))
lineno:	0
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
[.. repeats and cpu on 20%]
^C
$

11/ImageMagick

$ identify cpu-djvu
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
function:	(null)(file (null))
lineno:	0
[does not repeat, but cpu on 100%]
^C
$

GraphicsMagick does not have djvu decoder.

PATCH
https://github.com/ImageMagick/ImageMagick/commit/78b819628b6a9429f0c33b72e695b4df0b32faea

AFTER

12/ImageMagick

$ identify cpu-djvu
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
function:	(null)(file (null))
lineno:	0
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
function:	(null)(file (null))
lineno:	0
$

[Exits immediatelly.]

11
$ identify cpu-djvu                         
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
function:	(null)(file (null))
lineno:	0
simply ERROR!
 message:	** Unrecognized DjVu Message:
	** Message name:  IFFByteStream.corrupt_2nd_id
function:	(null)(file (null))
lineno:	0
cpu-djvu DJVU 0x0 8-bit DirectClass 20b
$

[Exits immediatelly.]
Comment 2 Petr Gajdos 2017-11-07 15:58:35 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2017-12-20 17:09:51 UTC
SUSE-SU-2017:3378-1: An update that fixes 26 vulnerabilities is now available.

Category: security (important)
Bug References: 1048457,1049796,1050116,1050139,1050632,1051441,1051847,1052450,1052553,1052689,1052758,1052764,1054757,1055214,1056432,1057719,1057729,1057730,1058485,1058637,1059666,1059778,1060577,1066003,1067181,1067184
CVE References: CVE-2017-11188,CVE-2017-11478,CVE-2017-11527,CVE-2017-11535,CVE-2017-11640,CVE-2017-11752,CVE-2017-12140,CVE-2017-12435,CVE-2017-12587,CVE-2017-12644,CVE-2017-12662,CVE-2017-12669,CVE-2017-12983,CVE-2017-13134,CVE-2017-13769,CVE-2017-14172,CVE-2017-14173,CVE-2017-14175,CVE-2017-14341,CVE-2017-14342,CVE-2017-14531,CVE-2017-14607,CVE-2017-14733,CVE-2017-15930,CVE-2017-16545,CVE-2017-16546
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.14.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.14.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.14.1
Comment 7 Swamp Workflow Management 2017-12-20 17:36:55 UTC
SUSE-SU-2017:3388-1: An update that solves 32 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1048457,1049796,1050083,1050116,1050139,1050632,1051441,1051847,1052450,1052553,1052689,1052744,1052758,1052764,1054757,1055214,1056432,1057157,1057719,1057729,1057730,1058485,1058637,1059666,1059778,1060176,1060577,1061254,1062750,1066003,1067181,1067184,1067409
CVE References: CVE-2017-11188,CVE-2017-11478,CVE-2017-11523,CVE-2017-11527,CVE-2017-11535,CVE-2017-11640,CVE-2017-11752,CVE-2017-12140,CVE-2017-12435,CVE-2017-12587,CVE-2017-12644,CVE-2017-12662,CVE-2017-12669,CVE-2017-12983,CVE-2017-13134,CVE-2017-13769,CVE-2017-14138,CVE-2017-14172,CVE-2017-14173,CVE-2017-14175,CVE-2017-14341,CVE-2017-14342,CVE-2017-14531,CVE-2017-14607,CVE-2017-14682,CVE-2017-14733,CVE-2017-14989,CVE-2017-15217,CVE-2017-15930,CVE-2017-16545,CVE-2017-16546,CVE-2017-16669
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.17.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.17.1
Comment 8 Andreas Stieger 2017-12-22 15:56:14 UTC
done
Comment 9 Swamp Workflow Management 2017-12-22 20:12:27 UTC
openSUSE-SU-2017:3420-1: An update that solves 32 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1048457,1049796,1050083,1050116,1050139,1050632,1051441,1051847,1052450,1052553,1052689,1052744,1052758,1052764,1054757,1055214,1056432,1057157,1057719,1057729,1057730,1058485,1058637,1059666,1059778,1060176,1060577,1061254,1062750,1066003,1067181,1067184,1067409
CVE References: CVE-2017-11188,CVE-2017-11478,CVE-2017-11523,CVE-2017-11527,CVE-2017-11535,CVE-2017-11640,CVE-2017-11752,CVE-2017-12140,CVE-2017-12435,CVE-2017-12587,CVE-2017-12644,CVE-2017-12662,CVE-2017-12669,CVE-2017-12983,CVE-2017-13134,CVE-2017-13769,CVE-2017-14138,CVE-2017-14172,CVE-2017-14173,CVE-2017-14175,CVE-2017-14341,CVE-2017-14342,CVE-2017-14531,CVE-2017-14607,CVE-2017-14682,CVE-2017-14733,CVE-2017-14989,CVE-2017-15217,CVE-2017-15930,CVE-2017-16545,CVE-2017-16546,CVE-2017-16669
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-40.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.12.1